Bug 1684458 - [markektplace]should check the parameter "Install Mode" in the operators
Summary: [markektplace]should check the parameter "Install Mode" in the operators
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.1.0
Assignee: Kevin Rizza
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-01 10:27 UTC by Fan Jia
Modified: 2019-06-04 10:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:44:58 UTC

Comment 2 Kevin Rizza 2019-03-12 13:10:03 UTC
The Marketplace operator is not the place to do this validation (since the Marketplace operator does not even pull down the csv yaml directly anyway). Instead, this validation is done in the operator-courier (source available at: https://github.com/operator-framework/operator-courier pypi package available at: https://pypi.org/project/operator-courier/). If the operator-courier is used to push the bundle up to Quay.io, then the bundle would fail to be pushed because install mode is not set.

Comment 3 Fan Jia 2019-03-13 08:01:05 UTC
courier version:1.2.0
push the csv withou installmode will throw error

# operator-courier push amq-streams/ jfan amq-streams 2.0.0 "xxxxxxxxxxxxxxx"
ERROR:operatorcourier.validate:csv spec.installModes not defined
ERROR:operatorcourier.api:Bundle failed validation.
Resulting bundle is invalid, input yaml is improperly defined.

Comment 5 errata-xmlrpc 2019-06-04 10:44:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.